Package com.xebialabs.xlrelease.domain.events

# Class ReleaseMovedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.ReleaseMovedEvent

All Implemented Interfaces:
  `ReleaseEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseMovedEvent extends Object implements ReleaseEvent, scala.Product, Serializable
Event published when a template or a release has been moved to another folder. param: fromReleaseId the original ID of the template or release. param: toReleaseId the new ID of the template or release.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseMovedEvent(String fromReleaseId, String toReleaseId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReleaseMovedEvent`
  `apply(String fromReleaseId, String toReleaseId)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseMovedEvent`
  `copy(String fromReleaseId, String toReleaseId)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `String`
  `fromReleaseId()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `toReleaseId()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,String>>`
  `unapply(ReleaseMovedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseMovedEvent

    public ReleaseMovedEvent(String fromReleaseId, String toReleaseId)

- ## Method Details

  - ### apply

    public static ReleaseMovedEvent apply(String fromReleaseId, String toReleaseId)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,String>> unapply(ReleaseMovedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### fromReleaseId

    public String fromReleaseId()

  - ### toReleaseId

    public String toReleaseId()

  - ### copy

    public ReleaseMovedEvent copy(String fromReleaseId, String toReleaseId)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`